2 u014793314 u014793314 于 2016.02.03 11:09 提问

有关libsvm在Python2.7上的安装问题

大家好,我想安装libsvm,Python2.7版本(Win7)
我的Python是32位的,我也添加了DLL文件到环境变量中,但是引用svm库的时候会出现“不是有效的Win32”错误。
我在网上查了一下,发现这样的问题基本是因为python版本与libsvm不匹配造成的。
但是,我的python是32位,与下载的libsvm相同,所以,我不是很确定原因是什么。
找了好久都没有找到原因,请大家帮帮我,谢谢啦!

1个回答

oyljerry
oyljerry   Ds   Rxr 2016.02.03 15:41

还需要你的libsvm除了是32bit的话,同时也要跟Python的vc编译器版本相同。

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!